Package org.eclipse.emf.compare.merge

# Class AdditiveMergeCriterion

java.lang.Object
org.eclipse.emf.compare.merge.AdditiveMergeCriterion

All Implemented Interfaces:
  `IMergeCriterion`

public final class AdditiveMergeCriterion extends Object implements IMergeCriterion
Merge Criterion that indicates we want to perform an 'Additive' merge.

Since:
  3.4

## Field Summary

Fields
Modifier and Type
Field
Description
`static final AdditiveMergeCriterion`
`INSTANCE`
The singleton instance of this class.

### Fields inherited from interface org.eclipse.emf.compare.merge.IMergeCriterion

`NONE, OPTION_MERGE_CRITERION`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final AdditiveMergeCriterion INSTANCE
The singleton instance of this class.